package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hxhq.common.core.annotation.Compare;
import com.hxhq.common.core.annotation.Excel;
import com.hxhq.common.core.domain.MpBaseEntity;

import java.util.Date;


/**
 * 试验-配置计划对象 t_study_form_plan
 *
 * @author hxhq
 * @date 2025-12-29
 */
@TableName("t_study_form_plan")
public class StudyFormPlan extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 所属试验id */
    private Long studyId;

    /** 表单编号 */
    private String bdbh;

    /** 表单名称 */
    @Compare(name = "表单名称",nameEn = "Preset Name")
    private String bdmc;

    /** 表单说明 */
    @Compare(name = "表单说明",nameEn = "Preset Description")
    private String bdsm;

    /** 模板id */
    private Long templateId;

    /** 表单内容 */
    private String bdnr;

    /** 表单归属人id */
    private Long userId;

    /** 表单归属人名称 */
    private String userMc;

    /** 表单归属人名称-英文 */
    private String userMcEn;

    /** 表单状态：1：填报中；3：已提交；5：已完成（经复核）*/
    private Integer bdzt;

    /** 提交时间 */
    @Excel(name = "提交时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date tjsj;

    /** 复核人员id(通知用) */
    private Long fhryId;

    /** 复核人员名称(通知用) */
    private String fhryMc;

    /** 复核人员名称-英文(通知用) */
    private String fhryMcEn;

    /** 字段修改记录 */
    private String zdxgjl;

    /** 复核意见记录 */
    private String fhyjjl;

    /** 字段勾选记录 */
    private String zdgxjl;

    /** 签名意义 */
    @TableField(exist = false)
    private String qmyy;

    /** 签名人密码 */
    @TableField(exist = false)
    private String qmrmm;

    /** 模板名称 */
    @TableField(exist = false)
    @Compare(name = "模板名称")
    private String templateMc;

    /** 模板名称-英文 */
    @TableField(exist = false)
    private String templateMcEn;

    /** 模板编号 */
    @TableField(exist = false)
    private String templateSn;

    /** 模板编号 */
    @TableField(exist = false)
    private String templateShowSn;

    /** 模板导出类 */
    @TableField(exist = false)
    private String templateExportClass;

    /** 模板导出方法 */
    @TableField(exist = false)
    private String templateExportMethod;

    /** 模板所属部门/学科 */
    @TableField(exist = false)
    private Long templateDeptId;

    /** 试验编号 */
    @TableField(exist = false)
    private String studySn;

    /** 试验名称 */
    @TableField(exist = false)
    private String studyMc;

    public Long getTemplateDeptId() {
        return templateDeptId;
    }

    public void setTemplateDeptId(Long templateDeptId) {
        this.templateDeptId = templateDeptId;
    }

    public String getTemplateMcEn() {
        return templateMcEn;
    }

    public void setTemplateMcEn(String templateMcEn) {
        this.templateMcEn = templateMcEn;
    }

    public String getTemplateShowSn() {
        return templateShowSn;
    }

    public void setTemplateShowSn(String templateShowSn) {
        this.templateShowSn = templateShowSn;
    }

    public String getTemplateExportClass() {
        return templateExportClass;
    }

    public void setTemplateExportClass(String templateExportClass) {
        this.templateExportClass = templateExportClass;
    }

    public String getTemplateExportMethod() {
        return templateExportMethod;
    }

    public void setTemplateExportMethod(String templateExportMethod) {
        this.templateExportMethod = templateExportMethod;
    }

    public String getUserMcEn() {
        return userMcEn;
    }

    public void setUserMcEn(String userMcEn) {
        this.userMcEn = userMcEn;
    }

    public String getFhryMcEn() {
        return fhryMcEn;
    }

    public void setFhryMcEn(String fhryMcEn) {
        this.fhryMcEn = fhryMcEn;
    }

    public String getZdxgjl() {
        return zdxgjl;
    }

    public void setZdxgjl(String zdxgjl) {
        this.zdxgjl = zdxgjl;
    }

    public String getFhyjjl() {
        return fhyjjl;
    }

    public void setFhyjjl(String fhyjjl) {
        this.fhyjjl = fhyjjl;
    }

    public String getZdgxjl() {
        return zdgxjl;
    }

    public void setZdgxjl(String zdgxjl) {
        this.zdgxjl = zdgxjl;
    }

    public Long getFhryId() {
        return fhryId;
    }

    public void setFhryId(Long fhryId) {
        this.fhryId = fhryId;
    }

    public String getFhryMc() {
        return fhryMc;
    }

    public void setFhryMc(String fhryMc) {
        this.fhryMc = fhryMc;
    }

    public String getStudySn() {
        return studySn;
    }

    public void setStudySn(String studySn) {
        this.studySn = studySn;
    }

    public String getStudyMc() {
        return studyMc;
    }

    public void setStudyMc(String studyMc) {
        this.studyMc = studyMc;
    }

    public String getQmyy() {
        return qmyy;
    }

    public void setQmyy(String qmyy) {
        this.qmyy = qmyy;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }

    public String getTemplateMc() {
        return templateMc;
    }

    public void setTemplateMc(String templateMc) {
        this.templateMc = templateMc;
    }

    public String getTemplateSn() {
        return templateSn;
    }

    public void setTemplateSn(String templateSn) {
        this.templateSn = templateSn;
    }

    public Date getTjsj() {
        return tjsj;
    }

    public void setTjsj(Date tjsj) {
        this.tjsj = tjsj;
    }


    public void setStudyId(Long studyId)
    {
        this.studyId = studyId;
    }

    public Long getStudyId()
    {
        return studyId;
    }

    public void setBdbh(String bdbh)
    {
        this.bdbh = bdbh;
    }

    public String getBdbh()
    {
        return bdbh;
    }

    public void setBdmc(String bdmc)
    {
        this.bdmc = bdmc;
    }

    public String getBdmc()
    {
        return bdmc;
    }

    public void setBdsm(String bdsm)
    {
        this.bdsm = bdsm;
    }

    public String getBdsm()
    {
        return bdsm;
    }

    public void setTemplateId(Long templateId)
    {
        this.templateId = templateId;
    }

    public Long getTemplateId()
    {
        return templateId;
    }

    public void setBdnr(String bdnr)
    {
        this.bdnr = bdnr;
    }

    public String getBdnr()
    {
        return bdnr;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setUserMc(String userMc)
    {
        this.userMc = userMc;
    }

    public String getUserMc()
    {
        return userMc;
    }

    public void setBdzt(Integer bdzt)
    {
        this.bdzt = bdzt;
    }

    public Integer getBdzt()
    {
        return bdzt;
    }

}
